<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveNextUniqueMultipleKey Method (LockingInfo)
Cursor Class See Also

If the cursor is not yet initialized, MoveNextUniqueMultipleKey is identical to MoveFirstMultipleKey(LockingInfo). Otherwise, move the cursor to the next non-duplicate key in the database, and store that key and associated datum and as many ensuing key/data pairs that can fit in a buffer the size of one database page in CurrentMultipleKey. MoveNextUniqueMultipleKey will return false if no non-duplicate key/data pairs exist after the cursor position in the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public bool MoveNextUniqueMultipleKey(
    	LockingInfo info
    )

Visual Basic (Declaration)

    Public Function MoveNextUniqueMultipleKey ( _
    	info As LockingInfo _
    ) As Boolean

Visual C++

    public:
    bool MoveNextUniqueMultipleKey(
    	LockingInfo^ info
    )

#### Parameters

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveNextUniqueMultipleKey Overload
BerkeleyDB Namespace